        PARAMETER (ND=30, MD=1)
        COMPLEX C( ND, ND ), D( ND,MD )
        REAL A( 2*ND,2*ND ),B( 2*ND,3 )
        INTEGER ID,M1,N1,INDEX( 2*ND,3 )
        REAL DETERM
                     M1=1
         PRINT 500
           READ *,N1
         PRINT 550
           READ *, ((C(I,J), J=1,N1), I=1,N1)
         PRINT 600
           READ *, ((D(I,J), J=1,M1), I=1,N1)


              CALL MATINVC( C,N1,D,M1,DETERM,ID,ND,MD,A,B,INDEX )

              CALL PCMCRT( D,ND,MD,N1,M1,ID )


500      FORMAT (// 4x, 'Enter Rank of Matrix.')
550      FORMAT (// 4X, 'Enter the Matrix Elements in the form (a,ib).')
600      FORMAT (// 4X, 'Enter the Sources in the form (a,ib).')
         END

